searchData={"items":[{"type":"module","title":"EctoNamedFragment","doc":"`EctoNamedFragment` is a library for using named-params in Ecto fragments.\n\nInstead of using Ectos `fragment` with ?-based interpolation, `named_fragment`\nallows you to use named params in your fragments.\n\n`named_fragment` is implemented as a macro on top of Ecto's `fragment` macro.\n\nSo `named_fragment(\"coalesce(a, b, a)\", a: 1, b: 2)` will\nbe converted to `fragment(\"coalesce(?, ?, ?)\", 1, 2, 1)` at compile-time.\n\n```elixir\ndefmodule TestQuery do\n  import Ecto.Query\n  import EctoNamedFragment\n\n  def test_query do\n    query = from u in \"users\",\n            select: named_fragment(\"coalesce(left, right)\", left: \"example\", right: \"input\")\n\n    Repo.all(query)\n  end\nend\n```","ref":"EctoNamedFragment.html"},{"type":"macro","title":"EctoNamedFragment.named_fragment/2","doc":"","ref":"EctoNamedFragment.html#named_fragment/2"},{"type":"module","title":"EctoNamedFragment.Exceptions","doc":"","ref":"EctoNamedFragment.Exceptions.html"},{"type":"function","title":"EctoNamedFragment.Exceptions.error!/1","doc":"","ref":"EctoNamedFragment.Exceptions.html#error!/1"},{"type":"exception","title":"EctoNamedFragment.Exceptions.CompileError","doc":"Raised at compilation time when the named fragment cannot be compiled.","ref":"EctoNamedFragment.Exceptions.CompileError.html"}],"content_type":"text/markdown"}